Skip to main content
POST
/
partners
/
{sellerId}
/
orders
/
{uuid}
/
finalization
/
regenerate-export
Force regeneration of the Export File.
curl --request POST \
  --url https://api.novatrade24.com/v1/partners/{sellerId}/orders/{uuid}/finalization/regenerate-export \
  --header 'Authorization: Bearer <token>' \
  --header 'Idempotency-Key: <idempotency-key>'
{
  "type": "<string>",
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>",
  "traceId": "<string>"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 client_credentials grant via Keycloak service account. Clients are provisioned per IntegrationOrganization in the nt24-idp realm.

Headers

Idempotency-Key
string
required

Client-generated unique key (UUID recommended) for this write operation. Identical key + identical body within 24h returns the cached response. Identical key + different body returns 422.

Required string length: 1 - 255

Path Parameters

sellerId
string<uuid>
required

UUID of the seller trade partner (must be in caller's authorized list).

uuid
string<uuid>
required

Response

Regeneration queued.